### Method

# Gio NetworkService set_scheme

since: 2.26

#### Declaration

    void
    g_network_service_set_scheme (
      GNetworkService* srv,
      const gchar* scheme
    )

#### Description

Set’s the URI scheme used to resolve proxies. By default, the service name is used as scheme.

Available since: 2.26

Sets property | `Gio.NetworkService:scheme`

#### Parameters

`scheme`

  Type: `const gchar*`

  A URI scheme.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.